E-Arogya - Feature #144

[User Mgmt] Create a module for user Management.
29/04/2024 11:18 AM - Srusvin Loka

Status: New Start date:
Priority: Normal Due date:
Assignee: Harish Beechani % Done:
Category: Estimated time:
Target version: Sprint 4 (20th To 24th May) Spent time:
Deployed In: Category:

29/04/2024
02/05/2024
11%

0:00 hour
45:00 hours

Description

Create a module for new user creation, access permission role configuration.

Subtasks:

Feature # 147: [User Mgmt] Create Employee master feature Ul screen. Resolved
Feature # 185: [User Mgmt] Create Employee master feature Ul screen Design Resolved
Feature # 612: Employee Master Creation Api intigration. Resolved

Feature # 149: [User Mgmt] Develop services for Employee master feature. Resolved

Feature # 150: [User Mgmt] Add Module features and feature functions in Database Resolved

Feature # 154: [User Mgmt] Create Ul screen for UserGroup Resolved
Feature # 184: [User Mgmt] Create Ul screen design for User Group Resolved

Feature # 155: [User Mgmt] Create services for creating UserGroup Resolved

Feature # 156: [User Mgmt] Create Ul Screen for User master screen. Resolved
Feature # 186: [User Mgmt] Create Ul Screen design for User master screen. New

Bug # 650: [User Mgmt] API Integration for User master screen. In Progress

Feature # 157: [User Mgmt] Create services for User master feature. Resolved

Feature # 158: [User Mgmt] Create screen for Role Master In Progress
Feature # 360: [User Mgmt] Create Ul screen for Role Master Resolved

Feature # 159: [User Mgmt] Create services for Role Master screen. Resolved

Feature # 161: [User Mgmt] Create Ul Screen for Role configuration feature. Resolved
Feature # 183: [User Mgmt] Create Ul Screen design for Role configuration feature. New

Feature # 162: [User Mgmt] Create services for Role configuration master. In Progress
Feature # 708: [User Mgmt] Create services for Role configuration master adding transac... Resolved

Feature # 163: [User Mgmt] Create screen for Role change in Login profile. New
Feature # 182: [User Mgmt] Create Design for Role change in Login profile. Resolved

Feature # 164: [User Mgmt] Create services for fetch and change of logged in user role. Resolved

Feature # 165: [User Mgmt] Create Service to load all features and functions of a login... New

Feature # 166: [User Mgmt] Create Ul Screen for Block / Unblock user Resolved
Feature # 181: [User Mgmt] Create Ul Design for Block / Unblock user Resolved
Feature # 610: [User Mgmt] API intigration for Block / Unblock user Screen Resolved

Feature # 167: [User Mgmt] Create service to block and unblock the HIMS user. New

Feature # 390: R&D on spring security roles Resolved

Feature # 391: Assign master group & role services Resolved
Feature # 421: Assign master group & role services Resolved

Feature # 392: security password history validation Resolved
Feature # 394: password history validation in reset password Resolved

Bug # 396: Using same old password for the new password change ,request Closed

Feature # 393: security audit issues deploying And source code merging in 160 Resolved

Feature # 409: csrf token sheduler Resolved

History

#1 - 28/04/2024 10:54 PM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#2 - 28/04/2024 10:55 PM - Srusvin Loka
- Subtask #147 added

#3 - 28/04/2024 11:01 PM - Srusvin Loka
- Subtask #149 added

#4 - 28/04/2024 11:08 PM - Srusvin Loka
- Subtask #150 added

#5 - 28/04/2024 11:57 PM - Srusvin Loka
- Subtask #154 added

#6 - 28/04/2024 11:59 PM - Srusvin Loka
- Subtask #155 added

#7 - 29/04/2024 12:02 AM - Srusvin Loka
- Subtask #156 added

#8 - 29/04/2024 12:06 AM - Srusvin Loka
- Subtask #157 added

#9 - 29/04/2024 12:10 AM - Srusvin Loka
- Subtask #158 added

#10 - 29/04/2024 12:17 AM - Srusvin Loka
- Subtask #159 added

#11 - 29/04/2024 01:20 AM - Srusvin Loka
- Subtask #161 added

#12 - 29/04/2024 01:24 AM - Srusvin Loka
- Subtask #162 added

#13 - 29/04/2024 01:30 AM - Srusvin Loka
- Subtask #163 added

#14 - 29/04/2024 01:33 AM - Srusvin Loka
- Subtask #164 added

#15 - 29/04/2024 01:37 AM - Srusvin Loka
- Subtask #165 added

#16 - 29/04/2024 03:29 AM - Srusvin Loka
- Subtask #166 added

#17 - 29/04/2024 03:31 AM - Srusvin Loka
- Subtask #167 added

#18 - 03/05/2024 05:31 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Sprint 2 (6th May - 10th May)

#19 - 14/05/2024 05:36 AM - Harish Beechani
- Subtask #390 added

#20 - 14/05/2024 05:40 AM - Harish Beechani
- Subtask #391 added

#21 - 14/05/2024 05:59 AM - Sivakanth Kesiraju
- Target version changed from Sprint 2 (6th May - 10th May) to Sprint 4 (20th To 24th May)

#22 - 15/05/2024 12:25 AM - Harish Beechani
- Subtask #392 added

#23 - 15/05/2024 12:30 AM - Harish Beechani
- Subtask #393 added

#24 - 15/05/2024 09:34 PM - Harish Beechani
- Subtask #409 added

#25 - 25/09/2024 05:13 PM - Sivakanth Kesiraju

- Assignee changed from Sivakanth Kesiraju to Harish Beechani
